Retrieve a balance transaction 

Retrieves the balance transaction with the given ID.

Note that this endpoint previously used the path /v1/balance/history/:id.

Parameters

No parameters.

Returns

Returns a balance transaction if a valid balance transaction ID was provided. Raises an error otherwise.

GET /v1/balance_transactions/:id
curl https://api.stripe.com/v1/balance_transactions/txn_1MiN3gLkdIwHu7ixxapQrznl \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:"
Response
{
"id": "txn_1MiN3gLkdIwHu7ixxapQrznl",
"object": "balance_transaction",
"amount": -400,
"available_on": 1678043844,
"created": 1678043844,
"currency": "usd",
"description": null,
"exchange_rate": null,
"fee": 0,
"fee_details": [],
"net": -400,
"reporting_category": "transfer",
"source": "tr_1MiN3gLkdIwHu7ixNCZvFdgA",
"status": "available",
"type": "transfer"
}

List all balance transactions 

Returns a list of transactions that have contributed to the Stripe account balance (e.g., charges, transfers, and so forth). The transactions are returned in sorted order, with the most recent transactions appearing first.

Note that this endpoint was previously called “Balance history” and used the path /v1/balance/history.

Parameters

  • payoutstring

    For automatic Stripe payouts only, only returns transactions that were paid out on the specified payout ID.

  • typestring

    Only returns transactions of the given type. One of: adjustment, advance, advance_funding, anticipation_repayment, application_fee, application_fee_refund, charge, climate_order_purchase, climate_order_refund, connect_collection_transfer, contribution, issuing_authorization_hold, issuing_authorization_release, issuing_dispute, issuing_transaction, obligation_outbound, obligation_reversal_inbound, payment, payment_failure_refund, payment_network_reserve_hold, payment_network_reserve_release, payment_refund, payment_reversal, payment_unreconciled, payout, payout_cancel, payout_failure, payout_minimum_balance_hold, payout_minimum_balance_release, refund, refund_failure, reserve_transaction, reserved_funds, reserve_hold, reserve_release, stripe_fee, stripe_fx_fee, stripe_balance_payment_debit, stripe_balance_payment_debit_reversal, tax_fee, topup, topup_reversal, transfer, transfer_cancel, transfer_failure, or transfer_refund.

More parameters

  • createdobject

  • currencyenum

  • ending_beforestring

  • limitinteger

  • sourcestring

  • starting_afterstring

Returns

A dictionary with a data property that contains an array of up to limit transactions, starting after transaction starting_after. Each entry in the array is a separate transaction history object. If no more transactions are available, the resulting array will be empty.

GET /v1/balance_transactions
curl -G https://api.stripe.com/v1/balance_transactions \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d limit=3
Response
{
"object": "list",
"url": "/v1/balance_transactions",
"has_more": false,
"data": [
{
"id": "txn_1MiN3gLkdIwHu7ixxapQrznl",
"object": "balance_transaction",
"amount": -400,
"available_on": 1678043844,
"created": 1678043844,
"currency": "usd",
"description": null,
"exchange_rate": null,
"fee": 0,
"fee_details": [],
"net": -400,
"reporting_category": "transfer",
"source": "tr_1MiN3gLkdIwHu7ixNCZvFdgA",
"status": "available",
"type": "transfer"
}
]
}